<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ContentModelStore">
    <e p="C:\Users\iakli\.nuget\packages\microsoft.net.test.sdk\16.5.0\build\netcoreapp2.1" t="Include">
      <e p="Microsoft.NET.Test.Sdk.Program.cs" t="Include" />
    </e>
    <e p="C:\Users\iakli\.nuget\packages\microsoft.testplatform.testhost\16.5.0\build\netcoreapp2.1\x64\testhost.dll" t="Include" />
    <e p="C:\Users\iakli\.nuget\packages\microsoft.testplatform.testhost\16.5.0\build\netcoreapp2.1\x64\testhost.exe" t="Include" />
    <e p="C:\Users\iakli\.nuget\packages\mstest.testadapter\2.1.0\build\_common\Microsoft.VisualStudio.TestPlatform.MSTest.TestAdapter.dll" t="Include" />
    <e p="C:\Users\iakli\.nuget\packages\mstest.testadapter\2.1.0\build\_common\Microsoft.VisualStudio.TestPlatform.MSTestAdapter.PlatformServices.Interface.dll" t="Include" />
    <e p="C:\Users\iakli\.nuget\packages\mstest.testadapter\2.1.0\build\netcoreapp1.0\Microsoft.VisualStudio.TestPlatform.MSTestAdapter.PlatformServices.dll" t="Include" />
    <e p="C:\Users\iakli\AppData\Local\JetBrains\Rider2020.2\extResources" t="IncludeRecursive" />
    <e p="C:\Users\iakli\AppData\Local\JetBrains\Rider2020.2\resharper-host\Local\Transient\Rider\v202\SolutionCaches\_RubyCompiler.1175280759.00" t="ExcludeRecursive" />
    <e p="C:\Users\iakli\Documents\MSTU\2 semester\compilerslabss\RubyCompiler" t="IncludeFlat">
      <e p="packages" t="ExcludeRecursive" />
      <e p="RubyCompiler" t="IncludeRecursive">
        <e p="bin" t="ExcludeRecursive" />
        <e p="obj" t="ExcludeRecursive">
          <e p="Debug" t="Include">
            <e p="netcoreapp3.1" t="Include">
              <e p="RubyBaseListener.cs" t="Include" />
              <e p="RubyBaseVisitor.cs" t="Include" />
              <e p="RubyCompiler.AssemblyInfo.cs" t="Include" />
              <e p="RubyLexer.cs" t="Include" />
              <e p="RubyListener.cs" t="Include" />
              <e p="RubyParser.cs" t="Include" />
              <e p="RubyVisitor.cs" t="Include" />
            </e>
          </e>
        </e>
        <e p="Program.cs" t="Include" />
        <e p="Ruby.g4" t="Include" />
        <e p="RubyCompiler" t="Include">
          <e p="Assignment.cs" t="Include" />
          <e p="AstNode.cs" t="Include" />
          <e p="Condition.cs" t="Include" />
          <e p="Constants" t="Include">
            <e p="FloatConstant.cs" t="Include" />
            <e p="IntConstant.cs" t="Include" />
            <e p="StringConstant.cs" t="Include" />
          </e>
          <e p="Cycles" t="Include">
            <e p="ForCycle.cs" t="Include" />
            <e p="ForHeader.cs" t="Include" />
            <e p="WhileCycle.cs" t="Include" />
          </e>
          <e p="Dynamic" t="Include">
            <e p="Variable.cs" t="Include" />
          </e>
          <e p="ExpressionList.cs" t="Include" />
          <e p="Function" t="Include">
            <e p="Call" t="Include">
              <e p="FunctionCall.cs" t="Include" />
              <e p="FunctionCallParameters.cs" t="Include" />
            </e>
            <e p="Definition" t="Include">
              <e p="FunctionDefinition.cs" t="Include" />
              <e p="FunctionDefinitionParameters.cs" t="Include" />
              <e p="FunctionHeader.cs" t="Include" />
              <e p="ReturnStatement.cs" t="Include" />
            </e>
          </e>
          <e p="IfElse" t="Include">
            <e p="ElsifStatement.cs" t="Include" />
            <e p="IfStatement.cs" t="Include" />
            <e p="UnlessStatement.cs" t="Include" />
          </e>
          <e p="Results" t="Include">
            <e p="DynamicResult.cs" t="Include" />
            <e p="FloatResult.cs" t="Include" />
            <e p="IntResult.cs" t="Include" />
            <e p="Result.cs" t="Include" />
            <e p="StringResult.cs" t="Include" />
          </e>
          <e p="StatementBody.cs" t="Include" />
        </e>
        <e p="RubyCompiler.csproj" t="IncludeRecursive" />
        <e p="RubyCompilerVisitor.cs" t="Include" />
        <e p="TestFiles" t="Include">
          <e p="test.4.rb" t="Include" />
          <e p="test.rb" t="Include" />
          <e p="test1.rb" t="Include" />
          <e p="test2.rb" t="Include" />
          <e p="test3.rb" t="Include" />
        </e>
      </e>
      <e p="RubyCompiler.sln" t="IncludeFlat" />
      <e p="Test.RubyCompiler" t="IncludeRecursive">
        <e p="bin" t="ExcludeRecursive" />
        <e p="obj" t="ExcludeRecursive">
          <e p="Debug" t="Include">
            <e p="netcoreapp3.1" t="Include">
              <e p="Test.RubyCompiler.AssemblyInfo.cs" t="Include" />
            </e>
          </e>
        </e>
        <e p="Test.RubyCompiler.csproj" t="IncludeRecursive" />
        <e p="UnitTest1.cs" t="Include" />
      </e>
    </e>
  </component>
</project>